#include "precompile.h"

#include "buff.h"
#include "metamgr.h"
#include "human.h"
#include "room.h"
#include "collider.h"

int Buff::GetLeftTime()
{
    int passed_ms = (owner->room->GetFrameNo() - add_frameno) * FRAME_RATE_MS;
    return std::max(GetLastingTime() - passed_ms, 0);
}

int Buff::GetLastingTime()
{
    return meta->i->duration_time() * 1000;
}

void Buff::FillMFBuff(cs::MFBuff* buff_pb)
{
    buff_pb->set_buff_id(meta->i->buff_id());
    buff_pb->set_left_time(GetLeftTime());
    buff_pb->set_lasting_time(GetLastingTime());
}

void Buff::ProcLastBurn(const a8::XParams& param)
{
}

void Buff::ProcReleaseDcgr(const a8::XParams& param)
{
}

void Buff::ProcReleaseFireBomb(const a8::XParams& param)
{
}

void Buff::ProcLastRecover(const a8::XParams& param)
{
}
