#pragma once

extern int g_hint_flags;

class ColliderComponent;
class Global : public a8::Singleton<Global>
{
 private:
    Global() {};
    friend class a8::Singleton<Global>;
 public:

    static bool IsVirtualItem(int itemid);
    static bool IsTimeToReset(int time);
    static time_t BetweenDays(time_t time1, time_t time2);
    static time_t GetDaySeconds(time_t time, int incdays = 0);

    static int g_nowtime;
    static int g_time_zone; // 默认东八区
    static bool g_shutdown;
    static ColliderComponent* last_collider;
};

bool IsValidSlotId(int slot_id);
bool IsValidBuffEffect(int buff_effect);
bool IsValidHumanAttr(int attr_type);
