#pragma once

#include "roomentity.h"

namespace MetaData
{
    struct Player;
    struct Equip;
    struct MapThing;
}

class Human;
class Loot : public RoomEntity
{
 public:
    MetaData::Equip* meta = nullptr;
    int item_id = 0;
    int count = 0;
    int item_level = 0;
    bool pickuped = false;
    int bullet_num = 0;
    float param1 = 0.0f;
    float param2 = 0.0f;

    virtual ~Loot() override;
    virtual void Initialize() override;
    void RecalcSelfCollider();
    virtual void FillMFObjectPart(Room* room, Human* hum, cs::MFObjectPart* part_data) override;
    virtual void FillMFObjectFull(Room* room, Human* hum, cs::MFObjectFull* full_data) override;

protected:
    Loot();

    friend class EntityFactory;
};

