#pragma once

class MapInstance;
class Room;
class MapMgr : public a8::Singleton<MapMgr>
{
private:
    MapMgr() {};
    friend class a8::Singleton<MapMgr>;

public:
    void Init();
    void UnInit();

    void AttachRoom(Room* room, RoomInitInfo& init_info);

private:
    MapInstance* GetMapInstance(int map_id);

private:
    std::map<int, MapInstance*> instance_hash_;
};
