#pragma once

#include "obstacle.h"

class RoomObstacle : public Obstacle
{
 public:
    Room* room = nullptr;
    a8::XTimerAttacher xtimer_attacher;
    bool is_treasure_box = false;
    bool is_terminator_airdrop_box = false;

    virtual ~RoomObstacle() override;
    virtual void Initialize() override;
    virtual void RecalcSelfCollider() override;
    virtual bool IsTerminatorAirDropBox(Room* room) override { return is_terminator_airdrop_box; }

protected:
    RoomObstacle();

    friend class EntityFactory;
};
